Loading...
Searching...
No Matches
OpenMesh::Subdivider::Uniform::CompositeLoopT< MeshType, RealType >::EVCoeff Struct Reference

Helper struct. More...

`#include <OpenMesh/Tools/Subdivider/Uniform/CompositeLoopT.hh>`

Inheritance diagram for OpenMesh::Subdivider::Uniform::CompositeLoopT< MeshType, RealType >::EVCoeff:
[legend]
Collaboration diagram for OpenMesh::Subdivider::Uniform::CompositeLoopT< MeshType, RealType >::EVCoeff:
[legend]

## Classes

struct | compute_weight

## Public Member Functions

void | init (size_t _max_valence)
double | operator() (size_t _valence) override

## Public Attributes

std::vector< double > | weights_

## Detailed Description

template<class MeshType, class RealType = double>
struct OpenMesh::Subdivider::Uniform::CompositeLoopT< MeshType, RealType >::EVCoeff

Helper struct.

## Member Function Documentation

## operator()()

template<class MeshType , class RealType = double>

double OpenMesh::Subdivider::Uniform::CompositeLoopT< MeshType, RealType >::EVCoeff::operator() | ( | size_t | _valence | ) |

inline override virtual

Implements OpenMesh::Subdivider::Uniform::CompositeT< MeshType, RealType >::Coeff.

The documentation for this struct was generated from the following file:

- OpenMesh/Tools/Subdivider/Uniform/CompositeLoopT.hh